Robots
Probe Robot MCP server
Resolve an MCP endpoint from a URL, optionally using an MCP Server Card, and attempt a streamable HTTP MCP handshake.
POST
Resolve an MCP endpoint from a URL, optionally using an MCP Server Card, and attempt a streamable HTTP MCP handshake.
cookie
storyden-session<token>application/json- body
url*stringUser-provided MCP URL. This may be a root domain when the host exposes an MCP Server Card.
Format
uribearer_token?stringOptional Bearer token to use for the active probe.
Robot MCP server probe completed.
application/json- response
input_url*stringFormat
uriendpoint_url*stringFormat
uriserver_card_url?stringFormat
uriserver_card?remote_type?stringactive*booleanprobe_error?stringcurl -X POST 'https://example.com/api/robots/mcp-servers/probe' \ -H 'Content-Type: application/json' \ -d '{ "url": "http://example.com"}'Example Response
{ "input_url": "http://example.com", "endpoint_url": "http://example.com", "server_card_url": "http://example.com", "server_card": { "name": "string", "version": "string", "description": "string", "title": "string", "websiteUrl": "http://example.com", "remotes": [ { "type": "string", "url": "http://example.com", "supportedProtocolVersions": [ "string" ] } ] }, "remote_type": "string", "active": true, "probe_error": "string"}